%global pypi_name docker_ssh

Name:           python-docker-ssh
Version:        0.0.3
Release:        %mkrel 4
Summary:        Manage docker through SSH
Group:          Development/Python

License:        MIT
URL:            https://github.com/andreycizov/python-docker_ssh
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A Python library for the Docker Engine API.

%package -n python3-docker-ssh
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pip)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-docker-ssh
A Python 3 library for the Docker Engine API.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Remove reundant script header to avoid rpmlint warnings
find -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

%build
%py3_build

%install
%py3_install

%files -n python3-docker-ssh
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/docker-ssh


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.0.3-4.mga9
+ Revision: 1831973
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.0.3-3.mga9
+ Revision: 1785053
- rebuild for python-3.10

* Sun Apr 11 2021 joequant <joequant> 0.0.3-2.mga9
+ Revision: 1714706
- fix
- fix rpm name

* Sat Apr 10 2021 joequant <joequant> 0.0.3-1.mga9
+ Revision: 1714476
- imported package python-docker-ssh

